# 代码溯源 重新检测
class Trace::ReloadCheckService < Trace::ClientService

  attr_accessor :token, :fake_project_id 
  def initialize(token, fake_project_id)
    @token = token
    @fake_project_id = fake_project_id
  end

  def call
    result = authed_post(token, url, {data: request_params})
    response = render_response(result)
  end

  private 
  def request_params 
    {
      project_id: fake_project_id
    }
  end

  def url 
    '/user/reloadcheck'.freeze
  end
end